package weixinmsg

import (
	"testing"

	"git.rosy.net.cn/jx-callback/globals/api2"

	"git.rosy.net.cn/baseapi/utils"
	"git.rosy.net.cn/jx-callback/globals/testinit"
)

func init() {
	testinit.Init()
	api2.Init()
}

func TestGetWeixinOpenIDsFromStoreID(t *testing.T) {
	openIDs := GetWeixinOpenIDsFromStoreID(100118)
	t.Log(utils.Format4Output(openIDs, false))
}

func TestSendStoreMessage(t *testing.T) {
	//_, err := SendStoreMessage(jxcontext.AdminCtx, "title", "content", []int{1}, false, true)
	//if err != nil {
	//	t.Fatal(err)
	//}
}
